%global momorel 1

Summary: a free distributed C/C++ compiler system
Name: distcc
Version: 2.18.3
Release: %{momorel}m
License: GPL
Group: Development/Languages
URL: http://distcc.samba.org/

%NoSource 0 http://distcc.samba.org/ftp/distcc/%{name}-%{version}.tar.bz2 0d6b80a1efc3a3d816c4f4175f63eaa2
Source1: distcc.xinetd

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libtool
BuildPrereq: gtk+-devel

Requires: gcc

%description
distcc is a program to distribute compilation of C or C++ code across
several machines on a network. distcc should always generate the same
results as a local compile, is simple to install and use, and is often
two or more times faster than a local compile.

%package server
Summary: distributed C/C++ compiler server
Group: Development/Languages
Requires: xinetd
Requires: gcc

%description server
The distccd server may be started either from a super-server such as
inetd, or as a stand-alone daemon.

%package gnome
Summary: distributed C/C++ compiler monitor for gnome
Group: Development/Tools

%description gnome
The distcc monitor for gnome.

%prep
%setup -q

%build
%configure --with-gtk --datadir=%{_datadir}/distcc
%make

%install
rm -rf %{buildroot}
%makeinstall datadir="%{buildroot}%{_datadir}/distcc"
%__mkdir_p %{buildroot}/etc/xinetd.d/
%__install -m 644 %{SOURCE1} %{buildroot}/etc/xinetd.d/distcc

%__mkdir_p %{buildroot}%{_libexecdir}/distcc
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/cc
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/gcc
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/c++
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/g++
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/gcc_2_95_3
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/g++_2_95_3
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/gcc_2_96
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/g++_2_96
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/%{_target_cpu}-%{_vendor}-%{_target_os}-gcc
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/%{_target_cpu}-%{_vendor}-%{_target_os}-c++
%__ln_s %{_bindir}/distcc %{buildroot}%{_libexecdir}/distcc/%{_target_cpu}-%{_vendor}-%{_target_os}-g++

# remove needless files
rm -rf %{buildroot}%{_datadir}/distcc/doc

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog* NEWS README* TODO survey.txt doc
%{_bindir}/distcc
%{_bindir}/distccmon-text
%{_libexecdir}/distcc
%{_mandir}/man1/distcc.1*
%{_mandir}/man1/distccmon-text.1*

%files server
%defattr(-,root,root)
%{_bindir}/distccd
%{_mandir}/man1/distccd.1*
%config(noreplace) %{_sysconfdir}/xinetd.d/distcc

%files gnome
%defattr(-,root,root)
%{_bindir}/distccmon-gnome
%{_datadir}/distcc

%changelog
* Wed Dec 15 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.18.3-1m)
  update to 2.18.3
  
* Sun Nov 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.18.2-1m)
- fixes small portability bugs

* Thu Nov  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.18.1-1m)

* Wed Oct 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.18-1m)
- major bugfixes

* Wed Aug 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.17-1m)
- minor feature enhancements

* Thu Jul  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.16-1m)
- security fix on 64-bit platforms

* Wed Jul  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.15-1m)
- major bugfixes

* Tue May  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.14-1m)
- minor bugfixes

* Sun Mar 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.13-1m)
- including security fixes

* Fri Jan 09 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.12.1-1m)
- update to 2.12.1
- add distccmon-text.1* to man

* Mon Dec 29 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.12-2m)
- 'noreplace' /etc/xinetd.d/distcc

* Sat Dec 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.12-1m)
- minor feature enhancements
- add '--log-level=notice' to server_args in distcc.xinetd

* Fri Oct 24 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.11.2-1m)
- minor bugfixes

* Thu Oct  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.11.1-1m)
- minor bugfixes

* Mon Sep 29 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.11-1m)
- major featur enhancements

* Wed Aug 13 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.10-1m)
- minor security fixes

* Mon Jul 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.9-1m)
- major feature enhancements

* Thu Jul 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.8-1m)
  update to 2.8

* Sun Jul  6 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.7.1-2m)
- BuildRequire: gtk+ only
- rebuild against rpm-4.0.4-52m

* Wed Jul  2 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.7.1-1m)
  update to 2.7.1

* Mon Jun 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.7-1m)
- major feature enhancements
- add 'distcc-gnome' package

* Thu Jun 12 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6-1m)
  update to 2.6

* Fri Jun  6 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.5.1-1m)
- minor bugfixes

* Mon May 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.5-1m)
- major feature enhancements

* Fri May 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.2-1m)

* Fri May  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.2-1m)
- make symlinks at '/usr/libexec/distcc'

* Mon Apr 21 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.1-1m)
- version up.

* Fri Dec 13 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.15-1m)
- minor bugfixes
- the default TCP port has changed to a new IANA-assigned standard of 3632

* Fri Nov 22 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.14-1m)
